api_product_list:
    path: /
    controller: App\Application\ApiBundle\Controller\ProductController::list
    methods: ['GET']

api_product_add:
    path: /
    controller: App\Application\ApiBundle\Controller\ProductController::add
    methods: ['POST']

api_product_list_no_kickback:
    path: /list-no-kickback
    controller: App\Application\ApiBundle\Controller\ProductController::listNoKickback
    methods: ['GET']

api_product_import_wp_product:
    path: /import-wp-product
    controller: App\Application\ApiBundle\Controller\ProductController::importWpProduct
    methods: ['POST']

api_product_import_wp_stock:
    path: /import-wp-stock
    controller: App\Application\ApiBundle\Controller\ProductController::importWpStock
    methods: ['POST']

api_order_quick_update:
    path: /quick-update
    controller: App\Application\ApiBundle\Controller\ProductController::quickUpdate
    methods: ['POST']

api_product_detail:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\ProductController::detail
    methods: ['GET']

api_product_update:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\ProductController::update
    methods: ['POST']

api_product_delete:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\ProductController::delete
    methods: ['DELETE']

api_product_copy_to_new:
    path: /{id}/copy-to-new
    controller: App\Application\ApiBundle\Controller\ProductController::copyToNew
    methods: ['POST']

api_product_sale_log:
    path: /{id}/sale-log
    controller: App\Application\ApiBundle\Controller\ProductController::saleLog
    methods: ['GET']